{% extends "layout.html" %}
{% block body %}

<form action="{{ url_for('entry.update_isbn', id=entry.id) }}" method=post class=update-isbn>
    <div class="form-group col-sm-9">
        <p>必要に応じてISBNコードを入力して書籍参照のうえ更新をお願いします。</p>
    </div>
    <div class="form-group col-sm-3">
        <label for="UpdateIsbn">ISBNコード</label>
        <input type="number" pattern="\d*" class="form-control" id="UpdateIsbn" name=updateisbn value={{ entry.identifier13 }} required>
    </div>
    <div class="form-group col-sm-2">
        <button type="submit" class="btn btn-primary">書籍参照</button>
    </div>
    <hr/>
</form>



<!-- <div class="btn-group" col-sm-7> -->

    {% if titlevalue %}

    <form action="{{ url_for('entry.update_entry', id=entry.id) }}" method=post class=add-entry>
        <div class="form-group col-sm-7">
            <label for="InputTitle">書籍名</label>
            <input type="text" class="form-control" id="InputTitle" name=title value={{ titlevalue }}>
        </div>
        <div class="form-group col-sm-7">
            <label for="InputDescription">概要</label>
            <textarea class="form-control" id="InputDescription" name=description rows="4">{{ descriptionvalue }}</textarea>

        </div>
        <div class="form-group col-sm-2">
            <label for="InputPublisher">発行者</label>
            <input type="text" class="form-control" id="InputPublisher" name=publisher value={{ publishervalue }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="InputPublisheddate">発行年</label>
            <input type="text" class="form-control" id="InputPublishedDate" name=publisheddate value={{ publisheddatevalue }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="InputIdentifier10">ISBN-10</label>
            <input type="text" class="form-control" id="InputIdentifier10" name=identifier10 value={{ identifier10value }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="InputIdentifier13">ISBN-13</label>
            <input type="text" class="form-control" id="InputIdentifier13" name=identifier13 value={{ identifier13value }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="tanto">担当者</label>
            <input type="text" class="form-control" id="tanto" name=tanto value={{ entry.tanto }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="hokan">保管場所</label>
            <select class="form-control" id="hokan" name=hokan>
                {% if entry.hokan == "書籍棚" %}
                    <option selected>書籍棚</option>
                    <option>自席</option>
                    <option >その他</option>
                {% elif entry.hokan == "自席" %}
                    <option>書籍棚</option>
                    <option selected>自席</option>
                    <option>その他</option>
                {% else %}
                    <option>書籍棚</option>
                    <option>自席</option>
                    <option selected>その他</option>
                {% endif %}
            </select>
        </div>
        <div class="form-group col-sm-7">
            <label for="memo">メモ</label>
            <textarea class="form-control" id="memo" name=memo rows="4">{{ entry.memo }}</textarea>
        </div>
        <div class="form-group col-sm-7">
            <label for="InputThumbnail">サムネイル</label>
            <input type="text" class="form-control" id="InputThumbnail" name=thumbnail value={{ thumbnailvalue }}>
        </div>
        <div class="form-group col-sm-7">
            <label for="InputPreviewlink">プレビュー</label>
            <input type="text" class="form-control" id="InputPreviewLink" name=previewlink value={{ previewlinkvalue }}>
        </div>
        <div class="form-group col-sm-2">
            <button type="submit" class="btn btn-primary">更新</button>
        </div>
    </form>

    {% else %}

    <form action="{{ url_for('entry.update_entry', id=entry.id) }}" method=post class=add-entry>
        <div class="form-group col-sm-7">
            <label for="InputTitle">書籍名</label>
            <input type="text" class="form-control" id="InputTitle" name=title value={{ entry.title }}>
        </div>
        <div class="form-group col-sm-7">
            <label for="InputDescription">概要</label>
            <textarea class="form-control" id="InputDescription" name=description rows="4">{{ entry.description }}</textarea>

        </div>
        <div class="form-group col-sm-2">
            <label for="InputPublisher">発行者</label>
            <input type="text" class="form-control" id="InputPublisher" name=publisher value={{ entry.publisher }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="InputPublisheddate">発行年</label>
            <input type="text" class="form-control" id="InputPublishedDate" name=publisheddate value={{ entry.publisheddate }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="InputIdentifier10">ISBN-10</label>
            <input type="text" class="form-control" id="InputIdentifier10" name=identifier10 value={{ entry.identifier10 }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="InputIdentifier13">ISBN-13</label>
            <input type="text" class="form-control" id="InputIdentifier13" name=identifier13 value={{ entry.identifier13 }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="tanto">担当者</label>
            <input type="text" class="form-control" id="tanto" name=tanto value={{ entry.tanto }}>
        </div>
        <div class="form-group col-sm-2">
            <label for="hokan">保管場所</label>
            <select class="form-control" id="hokan" name=hokan>
                {% if entry.hokan == "書籍棚" %}
                    <option selected>書籍棚</option>
                    <option>自席</option>
                    <option >その他</option>
                {% elif entry.hokan == "自席" %}
                    <option>書籍棚</option>
                    <option selected>自席</option>
                    <option>その他</option>
                {% else %}
                    <option>書籍棚</option>
                    <option>自席</option>
                    <option selected>その他</option>
                {% endif %}
            </select>
        </div>
        <div class="form-group col-sm-7">
            <label for="memo">メモ</label>
            <textarea class="form-control" id="memo" name=memo rows="4">{{ entry.memo }}</textarea>
        </div>
        <div class="form-group col-sm-7">
            <label for="InputThumbnail">サムネイル</label>
            <input type="text" class="form-control" id="InputThumbnail" name=thumbnail value={{ entry.thumbnail }}>
        </div>
        <div class="form-group col-sm-7">
            <label for="InputPreviewlink">プレビュー</label>
            <input type="text" class="form-control" id="InputPreviewLink" name=previewlink value={{ entry.previewlink }}>
        </div>
        <div class="form-group col-sm-2">
            <button type="submit" class="btn btn-primary">更新</button>
        </div>
        <!-- <div class="form-group col-sm-7">
            投稿日時 {{ entry.created_at }}
        </div> -->
    </form>
    {% endif %}

    <hr>

    <form action="{{ url_for('entry.delete_entry', id=entry.id) }}" method="post">
        <div class="form-group col-sm-2">
            <button type="submit" class="btn btn-danger">削除</button>
        </div>
        <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
        <script type="text/javascript">
            $(function(){
                $(".btn-danger").on('click', function(){
                if(window.confirm("削除しますがよろしいですか？")) {
                location.href = $(this).attr('href');
                } else {
                    return false;
                }
            });
        });
        </script>
    </form>

<!-- </div> -->

{% endblock %}
